<template>
  <!-- Подсказка -->
  <el-tooltip
    effect="light"
    placement="top"
    :enterable="false"
    content="Фильтрация роликов по сплитам. Отображает ролики, соответсвующие выбранным периодам."
  >
    <!-- Форма -->
    <el-form-item label="Фильтрация по сплитам">
      <!-- Переключатель -->
      <el-switch v-model="value" @change="filtered" />
    </el-form-item>
  </el-tooltip>
</template>

<script lang="ts">
import { Component, Mixins } from "vue-property-decorator";
import ComponentMixin from "@/components/common/ComponentMixin";

/**
 *  Компонент выключение и выключения филтрации по сплитам.
 */
@Component
export default class SwitchComponent extends Mixins(ComponentMixin) {
  private value = false;

  /**
   * Метод срабатывает после переключения switch компонента.
   */
  private filtered(): void {
    // Метод оповещения подписчиков об переключения switch компонента
    this.notify("option-filtered-on-off", this.value);
  }
}
</script>
